package intrinsic.mx.managers;

public interface ISystemManager extends intrinsic.mx.core.IFlexModuleFactory, intrinsic.mx.core.IChildList, intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public intrinsic.mx.core.IChildList rawChildren;
//	public intrinsic.mx.managers.ISystemManager topLevelSystemManager;
//	public intrinsic.flash.display.Sprite focusPane;
//	public intrinsic.mx.core.IChildList cursorChildren;
//	public Object embeddedFontList;
//	public intrinsic.flash.display.LoaderInfo loaderInfo;
//	public intrinsic.mx.core.IChildList toolTipChildren;
//	public int numModalWindows;
//	public Object document;
//	public intrinsic.flash.display.Stage stage;
//	public intrinsic.flash.geom.Rectangle screen;
//	public intrinsic.mx.core.IChildList popUpChildren;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void activate(intrinsic.mx.managers.IFocusManagerContainer arg0);
public void deactivate(intrinsic.mx.managers.IFocusManagerContainer arg0);
public boolean isTopLevel();
public void addFocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0);
public void removeFocusManager(intrinsic.mx.managers.IFocusManagerContainer arg0);
public boolean isFontFaceEmbedded(intrinsic.flash.text.TextFormat arg0);
public Object getDefinitionByName(String arg0);

}
